Scanning with 18.3

Forum rules
Before you post please read this
Post Reply
frankt
Level 1
Level 1
Posts: 15
Joined: Sun Jun 25, 2017 5:53 pm

Scanning with 18.3

Post by frankt » Wed Aug 08, 2018 3:09 pm

The results of inxi -xS for my system is:

Code: Select all

System:
  Host: hpDeskMint Kernel: 4.15.0-30-generic x86_64 bits: 64 compiler: gcc 
  v: 5.4.0 Desktop: Cinnamon 3.6.7 Distro: Linux Mint 18.3 Sylvia 
  base: Ubuntu 16.04 xenial
  
My printer is a HP OfficeJet Pro 6978 connected wirelessly to my local network.

Simple Scan and Xsane did not work to scan an advertisement I wanted to send to my daughter-in-law.

I ran hp-check and got six pages of output in a log file. The log file showed 14 errors and 1 warning.

Code: Select all

Warning: [01mlinuxmin-18.3 version is not supported. Using linuxmint 17.3 versions dependencies to verity and install...[0m
The errors were for missing/incompatible packages. I installed as many of the packages as I could. Some could not be located in the repositories.

The version of hpcups I was using was 3.16.3. From the website http://sourceforge.net/projects/hplip/ I downloaded hplip-3.16.7. There is a shell file,
hplip-3.16.7.run, which I made sure was executable by clicking on properties, and checking the box under permissions. I then executed the file with

Code: Select all

sh hplip-3.16.7.run
I accepted the default options when presented with a choice. I was able to get my printers IP address from its setup menu. I used it to state that the printer was directly connected to my computer via the wireless network.

After going though the setup for hplip-3.16.7, I was able to use Simple Scan to scan the ad I wanted to send.

I hope this helps you get the scanning function of your printer working with 18.3.

Post Reply

Return to “Printers & Scanners”